.TH "1" "RXVT" "19 SEPTEMBER 2000" "X Version 11" "X Tools" 
.SH "NAME" 
rxvt (ouR XVT) \- a VT102 emulator for the X window system
.PP 
.SH "SYNOPSIS" 
.PP 
\fBrxvt\fP [options] [-e command [ args ]]
.PP 
.SH "DESCRIPTION" 
.PP 
\fBrxvt\fP, version \fB2\&.7\&.5\fP, is a colour vt102 terminal emulator
intended as an \fIxterm\fP(1) replacement for users who do not require
features such as Tektronix 4014 emulation and toolkit-style configurability\&.
As a result, \fBrxvt\fP uses much less swap space -- a significant
advantage on a machine serving many X sessions\&.
.PP 
.PP 
.SH "OPTIONS" 
.PP 
The \fBrxvt\fP options (mostly a subset of \fIxterm\fP\'s) are listed below\&.
In keeping with the smaller-is-better philosophy, options may be eliminated
or default values chosen at compile-time, so options and defaults listed
may not accurately reflect the version installed on your system\&.  
`rxvt -h\' gives a list of major compile-time options on the usage line\&.
Option descriptions may be prefixed with which compile option each is
dependent upon\&.  e\&.g\&. `Compile \fIXIM\fP:\' requires \fIXIM\fP on the usage line\&.
Note: `rxvt -help\' gives a list of all options compiled into your version\&.
.PP 
Note that \fBrxvt\fP permits the resource name to be used as a long-option
(--/++ option) so the potential command-line options are far greater than
those listed\&.
For example: `rxvt --loginShell --color1 Orange\'\&.
.PP 
.IP "\fB-help\fP, \fB--help\fP" 
Print out a message describing available options\&.
.IP "\fB-display\fP \fIdisplayname\fP" 
Attempt to open a window on the named X display (\fB-d\fP still
respected)\&.  In the absence of this option, the display specified
by the \fBDISPLAY\fP environment variable is used\&.
.IP "\fB-geometry\fP \fIgeom\fP" 
Window geometry (\fB-g\fP still respected);
resource \fBgeometry\fP\&.
.IP "\fB-rv\fP|\fB+rv\fP" 
Turn on/off simulated reverse video;
resource \fBreverseVideo\fP\&.
.IP "\fB-ip\fP|\fB+ip\fP" 
Turn on/off inheriting parent window\'s pixmap\&.  Alternative form
is \fB-tr\fP;
resource \fBinheritPixmap\fP\&.
.IP "\fB-bg\fP \fIcolour\fP" 
Window background colour;
resource \fBbackground\fP\&.
.IP "\fB-fg\fP \fIcolour\fP" 
Window foreground colour;
resource \fBforeground\fP\&.
.IP "\fB-pixmap:\fP \fIfile[;geom]\fP" 
Compile \fIXPM\fP: Specify XPM file for the background and also
optionally specify its scaling with a geometry string\&.  Note you
may need to add quotes to avoid special shell interpretation of
the `;\' in the command-line;
resource \fBbackgroundPixmap\fP\&.
.IP "\fB-cr\fP \fIcolour\fP" 
The cursor colour;
resource \fBcursorColor\fP\&.
.IP "\fB-pr\fP \fIcolour\fP" 
The mouse pointer colour;
resource \fBpointerColor\fP\&.
.IP "\fB-bd\fP \fIcolour\fP" 
The colour of the border between the xterm scrollbar and the text;
resource \fBborderColor\fP\&.
.IP "\fB-fn\fP \fIfontname\fP" 
Main normal text font;
resource \fBfont\fP\&.
.IP "\fB-fb\fP \fIfontname\fP" 
Main bold text font;
resource \fBboldFont\fP\&.
.IP "\fB-fm\fP \fIfontname\fP" 
Main multicharacter font;
resource \fBmfont\fP\&.
.IP "\fB-km\fP \fImode\fP" 
Multiple-character font-set encoding mode;
\fBeucj\fP: EUC Japanese encoding\&.
\fBsjis\fP: Shift JIS encoding\&.
\fBbig5\fP: BIG5 encoding\&.
\fBgb\fP: GB encoding\&.
\fBkr\fP: EUC Korean encoding\&.
\fBnoenc\fP: no encoding;
resource \fBmultichar_encoding\fP\&.
.IP "\fB-grk\fP \fImode\fP" 
Greek keyboard translation;
\fBiso\fP: ISO-8859 mapping\&.
\fBibm\fP: IBM-437 mapping;
resource \fBgreek_keyboard\fP\&.
.IP "\fB-name\fP \fIname\fP" 
Specify the application name under which resources
are to be obtained, rather than the default executable file name\&.
Name should not contain `\&.\' or `*\' characters\&.
Also sets the icon and title name\&.
.IP "\fB-ls\fP|\fB+ls\fP" 
Start as a login-shell/sub-shell;
resource \fBloginShell\fP\&.
.IP "\fB-ut\fP|\fB+ut\fP" 
Compile \fIutmp\fP: Inhibit/enable writing a utmp entry;
resource \fButmpInhibit\fP\&.
.IP "\fB-vb\fP|\fB+vb\fP" 
Turn on/off visual bell on receipt of a bell character;
resource \fBvisualBell\fP\&.
.IP "\fB-sb\fP|\fB+sb\fP" 
Turn on/off scrollbar;
resource \fBscrollBar\fP\&.
.IP "\fB-si\fP|\fB+si\fP" 
Turn on/off scroll-to-bottom on TTY output inhibit;
resource \fBscrollTtyOutput\fP has opposite effect\&.
.IP "\fB-sk\fP|\fB+sk\fP" 
Turn on/off scroll-to-bottom on keypress;
resource \fBscrollTtyKeypress\fP\&.
.IP "\fB-sr\fP|\fB+sr\fP" 
Put scrollbar on right/left;
resource \fBscrollBar_right\fP\&.
.IP "\fB-st\fP|\fB+st\fP" 
Display normal (non XTerm/NeXT) scrollbar without/with a trough;
resource \fBscrollBar_floating\fP\&.
.IP "\fB-iconic\fP" 
Start iconified, if the window manager supports that option\&.
Alternative form is \fB-ic\fP\&.
.IP "\fB-sl\fP \fInumber\fP" 
Save \fInumber\fP lines in the scrollback buffer\&.  See resource entry
for limits; 
resource \fBsaveLines\fP\&.
.IP "\fB-b\fP \fInumber\fP" 
Compile \fIfrills\fP: Internal border of \fInumber\fP pixels\&.  See
resource entry for limits;
resource \fBinternalBorder\fP\&.
.IP "\fB-w\fP \fInumber\fP" 
Compile \fIfrills\fP: External border of \fInumber\fP pixels\&. 
Also, \fB-bw\fP and \fB-borderwidth\fP\&.  See resource entry for limits;
resource \fBexternalBorder\fP\&.
.IP "\fB-tn\fP \fItermname\fP" 
This option specifies the name of the terminal type to be set in the
\fBTERM\fP environment variable\&. This terminal type must exist in the
\fItermcap(5)\fP database and should have \fIli#\fP and \fIco#\fP entries;
resource \fBtermName\fP\&.
.IP "\fB-e\fP \fIcommand [arguments]\fP" 
Run the command with its command-line arguments in the \fBrxvt\fP
window; also sets the window title and icon name to be the basename
of the program being executed if neither \fI-title\fP (\fI-T\fP) nor
\fI-n\fP are given on the command line\&.  If this option is used, it
must be the last on the command-line\&.  If there is no \fB-e\fP option
then the default is to run the program specified by the \fBSHELL\fP
environment variable or, failing that, \fIsh(1)\fP\&.
.IP "\fB-title\fP \fItext\fP" 
Window title (\fB-T\fP still respected); the default title is the
basename of the program specified after the \fB-e\fP option, if
any, otherwise the application name;
resource \fBtitle\fP\&.
.IP "\fB-n\fP \fItext\fP" 
Icon name; the default name is the basename of the program specified
after the \fB-e\fP option, if any, otherwise the application name;
resource \fBiconName\fP\&.
.IP "\fB-C\fP" 
Capture system console messages\&.
.IP "\fB-pt\fP \fIstyle\fP" 
Compile \fIXIM\fP: input style for input method;
\fBOverTheSpot\fP, \fBOffTheSpot\fP, \fBRoot\fP;
resource \fBpreeditType\fP\&.
.IP "\fB-im\fP \fItext\fP" 
Compile \fIXIM\fP: input method name\&.
resource \fBinputMethod\fP\&.
.IP "\fB-mod\fP \fImodifier\fP" 
Override detection of Meta modifier with specified key:
\fBalt\fP, \fBmeta\fP, \fBhyper\fP, \fBsuper\fP, \fBmod1\fP, \fBmod2\fP, \fBmod3\fP,
\fBmod4\fP, \fBmod5\fP;
resource \fImodifier\fP\&.
.IP "\fB-xrm\fP \fIresourcestring\fP" 
No effect on rxvt\&.  Simply passes through an argument to be made
available in the instance\'s argument list\&.  Appears in \fIWM_COMMAND\fP
in some window managers\&.
.SH "RESOURCES (available also as long-options)" 
.PP 
Note: `rxvt --help\' gives a list of all resources (long options) compiled
into your version\&.
If compiled with internal Xresources support (i\&.e\&. \fBrxvt -h\fP lists 
\fB\&.Xdefaults\fP) then \fBrxvt\fP accepts application defaults set in
XAPPLOADDIR/Rxvt (compile-time defined: usually
\fB/usr/lib/X11/app-defaults/Rxvt\fP) and resources set in \fB~/\&.Xdefaults\fP,
or \fB~/\&.Xresources\fP if \fB~/\&.Xdefaults\fP does not exist\&.  Note that when
reading X resources, \fBrxvt\fP recognizes two class names: \fBXTerm\fP and
\fBRxvt\fP\&.  The class name \fBXTerm\fP allows resources common to both
\fBrxvt\fP and \fIxterm\fP to be easily configured, while the class name
\fBRxvt\fP allows resources unique to \fBrxvt\fP, notably colours and
key-handling, to be shared between different \fBrxvt\fP configurations\&. 
If no resources are specified, suitable defaults will be used\&. 
Command-line arguments can be used to override resource settings\&.  The
following resources are allowed:
.PP 
.IP "\fBgeometry:\fP \fIgeom\fP" 
Create the window with the specified X window geometry [default
80x24];
option \fB-geometry\fP\&.
.IP "\fBbackground:\fP \fIcolour\fP" 
Use the specified colour as the window\'s background colour [default
White];
option \fB-bg\fP\&.
.IP "\fBforeground:\fP \fIcolour\fP" 
Use the specified colour as the window\'s foreground colour [default
Black];
option \fB-fg\fP\&.
.IP "\fBcolor\fP\fIn\fP\fB:\fP \fIcolour\fP" 
Use the specified colour for the colour value \fIn\fP, where 0-7
corresponds to low-intensity (normal) colours and 8-15 corresponds to
high-intensity (bold = bright foreground, blink = bright
background) colours\&.  The canonical names are as follows:
0=black, 1=red, 2=green, 3=yellow, 4=blue, 5=magenta, 6=cyan, 7=white,
but the actual colour names used are listed in the
\fBCOLORS AND GRAPHICS\fP section\&.
.IP "\fBcolorBD:\fP \fIcolour\fP" 
Use the specified colour to display bold characters when the
foreground colour is the default\&.
.IP "\fBcolorUL:\fP \fIcolour\fP" 
Use the specified colour to display underlined characters when the
foreground colour is the default\&.
.IP "\fBcolorRV:\fP \fIcolour\fP" 
Use the specified colour as the background for reverse video
characters\&.
.IP "\fBcursorColor:\fP \fIcolour\fP" 
Use the specified colour for the cursor\&.  The default is to use the
foreground colour;
option \fB-cr\fP\&.
.IP "\fBcursorColor2:\fP \fIcolour\fP" 
Use the specified colour for the colour of the cursor text\&.  For this
to take effect, \fBcursorColor\fP must also be specified\&.  The default
is to use the background colour\&.
.IP "\fBreverseVideo:\fP \fIboolean\fP" 
\fBTrue\fP: simulate reverse video by foreground and background colours;
option \fB-rv\fP,
\fBFalse\fP: regular screen colours [default];
option \fB+rv\fP\&.
See note in \fBCOLORS AND GRAPHICS\fP section\&.
.IP "\fBinheritPixmap:\fP \fIboolean\fP" 
\fBTrue\fP: make the background inherit the parent windows\' pixmap,
giving artificial transparency\&.
\fBFalse\fP: do not inherit the parent windows\' pixmap\&.
.IP "\fBscrollColor:\fP \fIcolour\fP" 
Use the specified colour for the scrollbar [default #B2B2B2]\&.
.IP "\fBtroughColor:\fP \fIcolour\fP" 
Use the specified colour for the scrollbar\'s trough area [default
#969696]\&.  Only relevant for normal (non XTerm/NeXT) scrollbar\&.
.IP "\fBbackgroundPixmap:\fP \fIfile[;geom]\fP" 
Use the specified XPM file (note the `\&.xpm\' extension is optional)
for the background and also optionally specify its scaling with a
geometry string \fBWxH+X+Y\fP, in which \fB"W" / "H"\fP specify the
horizontal/vertical scale (percent) and \fB"X" / "Y"\fP locate the
image centre (percent)\&.  A scale of 0 displays the image with tiling\&.
A scale of 1 displays the image without any scaling\&.  A scale of 2 to
9 specifies an integer number of images in that direction\&.  No image
will be magnified beyond 10 times its original size\&.  The maximum
permitted scale is 1000\&.  [default 0x0+50+50]
.IP "\fBmenu:\fP \fIfile[;tag]\fP" 
Read in the specified menu file (note the `\&.menu\' extension is
optional) and also optionally specify a starting tag to find\&.  See
the reference documentation for details on the syntax for the menuBar\&.
.IP "\fBpath:\fP \fIpath\fP" 
Specify the colon-delimited search path for finding files (XPM and
menus), in addition to the paths specified by the \fBRXVTPATH\fP and
\fBPATH\fP environment variables\&.
.IP "\fBfont:\fP \fIfontname\fP" 
Select the main text font used [default 7x14];
option \fB-fn\fP\&.
.IP "\fBfont\fP\fIn\fP\fB:\fP \fIfontname\fP" 
Specify the alternative font \fIn\fP\&.  The default font values: 
.br 
.RS 
.IP 
.TS 
tab(`); 
l l .
\fBfont\fP: `\ 7x14 
\fBfont1\fP: `\ 6x10 
\fBfont2\fP: `\ 6x13 
\fBfont3\fP: `\ 8x13 
\fBfont4\fP: `\ 9x15 
.TE 
.RE 
.IP 
.IP "\fBboldFont:\fP \fIfontname\fP" 
Specify the name of the bold font to use if \fBcolorBD\fP has not been
specified and it is not possible to map the default foreground colour
to colour 8-15 [default NONE]\&.  This font must be the same height and
width as the normal font;
option \fB-fb\fP\&.
.IP "\fBmfont:\fP \fIfontname\fP" 
Select the main multiple-character text font used [default k14];
option \fB-fk\fP\&.
.IP "\fBmfont\fP\fIn\fP\fB:\fP \fIfontname\fP" 
Specify the alternative multiple-character font \fIn\fP\&.  If compiled
for multiple-character fonts, the Roman and multiple-character font
sizes should match\&.
.IP "\fBmultichar_encoding:\fP \fImode\fP" 
Set the encoding mode to be used when multicharacter encoding is
received;
\fBeucj\fP: EUC Japanese encoding [default for Kanji]\&.
\fBsjis\fP: Shift JIS encoding\&.
\fBbig5\fP: BIG5 encoding\&.
\fBgb\fP: GB encoding\&.
\fBkr\fP: EUC Korean encoding\&.
\fBnoenc\fP: no encoding;
option \fB-km\fP\&.
.IP "\fBgreek_keyboard:\fP \fImode\fP" 
Set the Greek keyboard translation mode to be used;
\fBiso\fP: ISO-8859 mapping (elot-928) [default]\&.
\fBibm\fP: IBM-437 mapping (DOS codepage 737);
option \fB-grk\fP\&.
Use \fBMode_switch\fP to toggle keyboard input\&.  For more details,
see the distributed file \fBREADME\&.greek\fP\&.
.IP "\fBselectstyle:\fP \fItext\fP" 
Set mouse selection style to \fBold\fP which is 2\&.20, \fBoldword\fP which
is xterm style with 2\&.20 old word selection, or anything else which
gives xterm style selection\&.
.IP "\fBscrollstyle:\fP \fItext\fP" 
Set scrollbar style to \fBrxvt\fP, \fBnext\fP or \fBxterm\fP
.IP "\fBtitle:\fP \fItext\fP" 
Set window title string, the default title is the command-line
specified after the \fB-e\fP option, if any, otherwise the application
name;
option \fB-title\fP\&.
.IP "\fBiconName:\fP \fItext\fP" 
Set the name used to label the window\'s icon or displayed in an icon
manager window, it also sets the window\'s title unless it is
explicitly set;
option \fB-n\fP\&.
.IP "\fBmapAlert:\fP \fIboolean\fP" 
\fBTrue\fP: de-iconify (map) on receipt of a bell character\&.
\fBFalse\fP: no de-iconify (map) on receipt of a bell character
[default]\&.
.IP "\fBvisualBell:\fP \fIboolean\fP" 
\fBTrue\fP: use visual bell on receipt of a bell character;
option \fB-vb\fP\&.
\fBFalse\fP: no visual bell [default];
option \fB+vb\fP\&.
.IP "\fBloginShell:\fP \fIboolean\fP" 
\fBTrue\fP: start as a login shell by prepending a `-\' to \fBargv[0]\fP
of the shell;
option \fB-ls\fP\&.
\fBFalse\fP: start as a normal sub-shell [default];
option \fB+ls\fP\&.
.IP "\fButmpInhibit:\fP \fIboolean\fP" 
\fBTrue\fP: inhibit writing record into the system log file \fButmp\fP;
option \fB-ut\fP\&.
\fBFalse\fP: write record into the system log file \fButmp\fP [default];
option \fB+ut\fP\&.
.IP "\fBprint-pipe:\fP \fIstring\fP" 
Specify a command pipe for vt100 printer [default \fIlpr(1)\fP]\&.  Use
\fBPrint\fP to initiate a screen dump to the printer and \fBCtrl-Print\fP
or \fBShift-Print\fP to include the scrollback as well\&.
.IP "\fBscrollBar:\fP \fIboolean\fP" 
\fBTrue\fP: enable the scrollbar [default];
option \fB-sb\fP\&.
\fBFalse\fP: disable the scrollbar;
option \fB+sb\fP\&.
.IP "\fBscrollBar_right:\fP \fIboolean\fP" 
\fBTrue\fP: place the scrollbar on the right of the window;
option \fB-sr\fP\&.
\fBFalse\fP: place the scrollbar on the left of the window;
option \fB+sr\fP\&.
.IP "\fBscrollBar_floating:\fP \fIboolean\fP" 
\fBTrue\fP: display an rxvt scrollbar without a trough;
option \fB-st\fP\&.
\fBFalse\fP: display an rxvt scrollbar with a trough;
option \fB+st\fP\&.
.IP "\fBscrollTtyOutput:\fP \fIboolean\fP" 
\fBTrue\fP: scroll to bottom when tty receives output;
option(+si)\&.
\fBFalse\fP: do not scroll to bottom when tty receives output;
option(-si)\&.
.IP "\fBscrollTtyKeypress:\fP \fIboolean\fP" 
\fBTrue\fP: scroll to bottom when a non-special key is pressed\&.
Special keys are those which are intercepted by rxvt for special
handling and are not passed onto the shell;
option(-sk)\&.
\fBFalse\fP: do not scroll to bottom when a non-special key is pressed;
option(+sk)\&.
.IP "\fBsmallfont_key:\fP \fIkeysym\fP" 
If enabled, use \fBAlt-\fP\fIkeysym\fP to toggle to a smaller font
[default \fBAlt-<\fP]
.IP "\fBbigfont_key:\fP \fIkeysym\fP" 
If enabled, use \fBAlt-\fP\fIkeysym\fP to toggle to a bigger font
[default \fBAlt->\fP]
.IP "\fBsaveLines:\fP \fInumber\fP" 
Save \fInumber\fP lines in the scrollback buffer [default 64]\&.  This
resource is limited on most machines to 65535;
option \fB-sl\fP\&.
.IP "\fBinternalBorder:\fP \fInumber\fP" 
Internal border of \fInumber\fP pixels\&. This resource is limited to 100;
option \fB-b\fP\&.
.IP "\fBexternalBorder:\fP \fInumber\fP" 
External border of \fInumber\fP pixels\&.  This resource is limited to 100;
option \fB-w\fP, \fB-bw\fP, \fB-borderwidth\fP\&.
.IP "\fBtermName:\fP \fItermname\fP" 
Specifies the terminal type name to be set in the \fBTERM\fP
environment variable;
option \fB-tn\fP\&.
.IP "\fBmeta8:\fP \fIboolean\fP" 
\fBTrue\fP: handle Meta (Alt) + keypress to set the 8th bit\&.
\fBFalse\fP: handle Meta (Alt) + keypress as an escape prefix [default]\&.
.IP "\fBbackspacekey:\fP \fIstring\fP" 
The string to send when the backspace key is pressed\&.  If set to
\fBDEC\fP or unset it will send \fBDelete\fP (code 127) or, if shifted,
\fBBackspace\fP (code 8) - which can be reversed with the appropriate
DEC private mode escape sequence\&.
.IP "\fBdeletekey:\fP \fIstring\fP" 
The string to send when the delete key (not the keypad delete key) is
pressed\&.  If unset it will send the sequence traditionally associated
with the \fBExecute\fP key\&.
.IP "\fBcutchars:\fP \fIstring\fP" 
The characters used as delimiters for double-click word selection\&. 
The built-in default: 
.br 
\fBBACKSLASH `"\'&()*,;<=>?@[]{|}\fP
.IP "\fBpreeditType:\fP \fIstyle\fP" 
\fBOverTheSpot\fP, \fBOffTheSpot\fP, \fBRoot\fP;
option \fB-pt\fP\&.
.IP "\fBinputMethod:\fP \fIname\fP" 
\fIname\fP of inputMethod to use;
option \fB-im\fP\&.
.IP "\fBmodifier:\fP \fImodifier\fP" 
Set the key to be interpreted as the Meta key to:
\fBalt\fP, \fBmeta\fP, \fBhyper\fP, \fBsuper\fP, \fBmod1\fP, \fBmod2\fP, \fBmod3\fP,
\fBmod4\fP, \fBmod5\fP;
option \fB-mod\fP\&.
.IP "\fBanswerbackString:\fP \fIstring\fP" 
Specify the reply rxvt sends to the shell when an ENQ (control-E)
character is passed through\&.  It may contain escape values as
described in the entry on \fBkeysym\fP following\&.
.IP "\fBkeysym\&.\fP\fIsym\fP: \fIstring\fP" 
Associate \fIstring\fP with keysym \fIsym\fP (\fB0xFF00 - 0xFFFF\fP)\&.  It
may contain escape values (\ea: bell, \eb: backspace, \ee, \eE: escape,
\en: newline, \er: return, \et: tab, \e000: octal number) or control
characters (^?: delete, ^@: null, ^A \&.\&.\&.) and may enclosed with
double quotes so that it can start or end with whitespace\&.  The
intervening resource name \fBkeysym\&.\fP cannot be omitted\&.  This
resource is only available when compiled with KEYSYM_RESOURCE\&.
.SH "THE SCROLLBAR" 
.PP 
Lines of text that scroll off the top of the \fBrxvt\fP window (resource:
\fBsaveLines\fP) and can be scrolled back using the scrollbar or by keystrokes\&. 
The normal \fBrxvt\fP scrollbar has arrows and its behaviour is fairly
intuitive\&.  The \fBxterm-scrollbar\fP is without arrows and its behaviour
mimics that of \fIxterm\fP
.PP 
Scroll down with \fBButton1\fP (\fBxterm-scrollbar\fP) or \fBShift-Next\fP\&.
Scroll up with \fBButton3\fP (\fBxterm-scrollbar\fP) or \fBShift-Prior\fP\&.
Continuous scroll with \fBButton2\fP\&.
.SH "MOUSE REPORTING" 
.PP 
To temporarily override mouse reporting, for either the scrollbar or the
normal text selection/insertion, hold either the Shift or the Meta (Alt) key
while performing the desired mouse action\&.
.PP 
If mouse reporting mode is active, the normal scrollbar actions are disabled
-- on the assumption that we are using a fullscreen application\&.
Instead, pressing Button1 and Button3 sends
\fBESC[6~\fP (Next) and \fBESC[5~\fP (Prior), respectively\&.
Similarly, clicking on the up and down arrows sends \fBESC[A\fP (Up) and
\fBESC[B\fP (Down), respectively\&.
.SH "TEXT SELECTION AND INSERTION" 
.PP 
The behaviour of text selection and insertion mechanism is similar to
\fIxterm\fP(1)\&.
.PP 
.IP "\fBSelection\fP:" 
Left click at the beginning of the region, drag to the end of the
region and release; Right click to extend the marked region;
Left double-click to select a word; Left triple-click to select
the entire line\&.
.IP 
.IP "\fBInsertion\fP:" 
Pressing and releasing the Middle mouse button (or \fBShift-Insert\fP)
in an \fBrxvt\fP window causes the current text selection to be inserted
as if it had been typed on the keyboard\&.
.SH "CHANGING FONTS" 
.PP 
You can change fonts on-the-fly, which is to say cycle through the default
font and others of various sizes, by using \fBShift-KP_Add\fP and
\fBShift-KP_Subtract\fP\&.  Or, alternatively (if enabled) with
\fBAlt->\fP and \fBAlt-<\fP, where the actual key
can be selected using resources \fBsmallfont_key\fP/\fBbigfont_key\fP\&.
.SH "LOGIN STAMP" 
.PP 
\fBrxvt\fP tries to write an entry into the \fIutmp\fP(5) file so that it can be
seen via the \fIwho(1)\fP command, and can accept messages\&.  To allow this
feature, \fBrxvt\fP must be installed setuid root on some systems\&.
.SH "COLORS AND GRAPHICS" 
.PP 
If graphics support was enabled at compile-time, \fBrxvt\fP can be queried
with ANSI escape sequences and can address individual pixels instead of
text characters\&.  Note the graphics support is still considered beta code\&.
.PP 
In addition to the default foreground and background colours, \fBrxvt\fP
can display up to 16 colours (8 ANSI colours plus high-intensity bold/blink
versions of the same)\&.
Here is a list of the colours with their \fBrgb\&.txt\fP names\&.
.PP 
.TS 
tab(`); 
l l l .
\fBcolor0\fP `\ (black) `\ = Black 
\fBcolor1\fP `\ (red) `\ = Red3 
\fBcolor2\fP `\ (green) `\ = Green3 
\fBcolor3\fP `\ (yellow) `\ = Yellow3 
\fBcolor4\fP `\ (blue) `\ = Blue3 
\fBcolor5\fP `\ (magenta) `\ = Magenta3 
\fBcolor6\fP `\ (cyan) `\ = Cyan3 
\fBcolor7\fP `\ (white) `\ = AntiqueWhite 
\fBcolor8\fP `\ (bright black) `\ = Grey25 
\fBcolor9\fP `\ (bright red) `\ = Red 
\fBcolor10\fP `\ (bright green) `\ = Green 
\fBcolor11\fP `\ (bright yellow) `\ = Yellow 
\fBcolor12\fP `\ (bright blue) `\ = Blue 
\fBcolor13\fP `\ (bright magenta) `\ = Magenta 
\fBcolor14\fP `\ (bright cyan) `\ = Cyan 
\fBcolor15\fP `\ (bright white) `\ = White 
\fBforeground\fP `\  `\ = Black 
\fBbackground\fP `\  `\ = White 
.TE 
.PP 
It is also possible to specify the colour values of \fBforeground\fP,
\fBbackground\fP, \fBcursorColor\fP, \fBcursorColor2\fP, \fBcolorBD\fP, \fBcolorUL\fP
as a number 0-15, as a convenient shorthand to reference the colour name of
color0-color15\&.
.PP 
Note that \fB-rv\fP (\fB"reverseVideo: True"\fP) simulates reverse video by
always swapping the foreground/background colours\&.  This is in contrast to
\fIxterm\fP(1) where the colours are only swapped if they have not otherwise been
specified\&.
For example,
.PP 
.IP "\fBrxvt -fg Black -bg White -rv\fP" 
would yield White on Black, while on \fIxterm\fP(1) it would yield
Black on White\&.
.SH "ENVIRONMENT" 
.PP 
\fBrxvt\fP sets the environment variables \fBTERM\fP, \fBCOLORTERM\fP and
\fBCOLORFGBG\fP\&.  The environment variable \fBWINDOWID\fP is set to the X window
id number of the \fBrxvt\fP window and it also uses and sets the environment
variable \fBDISPLAY\fP to specify which display terminal to use\&.  \fBrxvt\fP uses
the environment variables \fBRXVTPATH\fP and \fBPATH\fP to find XPM files\&.
.SH "FILES" 
.PP 
.IP "\fB/etc/utmp\fP" 
System file for login records\&.
.IP "\fB/usr/lib/X11/rgb\&.txt\fP" 
Color names\&.
.PP 
.SH "SEE ALSO" 
.PP 
\fIxterm\fP(1), \fIsh\fP(1), \fIresize\fP(1), \fIX\fP(1), \fIpty\fP(4), \fItty\fP(4),
\fIutmp\fP(5)
.PP 
See rxvtRef\&.html rxvtRef\&.txt for detailed information on recognized escape
sequences and menuBar syntax, etc\&.
.PP 
.SH "BUGS" 
.PP 
Check the BUGS file for an up-to-date list\&.
.PP 
Cursor change support is not yet implemented\&.
.PP 
Click-and-drag doesn\'t work with X11 mouse report overriding\&.
.PP 
Graphics support is fairly crude\&.
.PP 
.SH "FTP LOCATION" 
.PP 
rxvt-2\&.7\&.5\&.tar\&.gz can be found at the following ftp sites
ftp://ftp\&.rxvt\&.org/pub/rxvt
.PP 
.SH "CURRENT PROJECT COORDINATOR" 
.PP 
.IP "Project Coordinator" 
Geoff Wing <gcw@rxvt\&.org>
.br 
.IP "Web page maintainter" 
Oezguer Kesim <oec@rxvt\&.org>
.br 
<http://www\&.rxvt\&.org/>
.br 
.IP "Mailing list" 
The Rxvt Workers <rxvt-workers@rxvt\&.org>
mailing list has also been established for rxvt development, to
subscribe, email to 
<rxvt-workers-subscribe@rxvt\&.org>\&.
There is also a mailing list for announcements of new releases of
rxvt\&. To subscribe, email to
<rxvt-announce-subscribe@rxvt\&.org>\&.
.PP 
.SH "AUTHORS" 
.PP 
.IP "John Bovey" 
University of Kent, 1992, wrote the original Xvt\&.
.IP "Rob Nation <nation@rocket\&.sanders\&.lockheed\&.com>" 
very heavily modified Xvt and came up with Rxvt
.IP "Angelo Haritsis <ah@doc\&.ic\&.ac\&.uk>" 
wrote the Greek Keyboard Input
.IP "mj olesen <olesen@me\&.QueensU\&.CA>" 
Wrote the menu system\&. 
.br 
Project Coordinator (changes\&.txt 2\&.11 to 2\&.21)
.IP "Oezguer Kesim <kesim@math\&.fu-berlin\&.de>" 
Project Coordinator (changes\&.txt 2\&.21a to 2\&.4\&.5)
.IP "Geoff Wing <gcw@pobox\&.com>" 
Rewrote screen display and text selection routines\&. 
.br 
Project Coordinator (changes\&.txt 2\&.4\&.6 - )
