%define	name	rxvt
%define epoch   18
%define ver	2.7.8
%define	rel 	4

Summary: A color VT102 terminal emulator for the X Window System.
Name: %{name}
Version: %{ver}
Release: %{rel}
Epoch: %{epoch}
Copyright: GPL
Group: User Interface/X
URL: http://www.rxvt.org
#Url: http://sourceforge.net/projects/rxvt/
Source: %{name}-%{ver}.tar.gz
Source2: Rxvt.big5
Source3: Rxvt.eucj
Source4: Rxvt.gb
Source5: Rxvt.kr
Source6: rxvt.desktop
Source7: rxvt-zh_CN.menu
Source8: rxvt-zh_TW.menu
## yodl (not in Red Hat) is needed to rxvt manual,
## so use pre-built man instead.
Source9: rxvt.man
Source10: Rxvt.gr

Patch1: rxvt-2.7.6-utmp98.patch
Patch2: rxvt-2.7.6-i18nrc.patch
Patch3: rxvt-2.7.6-font.patch
Patch4: rxvt-2.7.5-gtoggle.patch
Patch5: rxvt-2.7.6-xim.patch
Patch6: rxvt-2.7.6-utmp98-2.patch
Patch7: rxvt-2.7.8-kp.patch
Patch8: rxvt-2.7.8-security.patch

Requires: utempter
BuildRequires: libtool

Buildroot: %{_tmppath}/%{name}-%{version}-buildroot

%description
Rxvt is a color VT102 terminal emulator for the X Window System. Rxvt
is intended to be an xterm replacement for users who don't need the
more esoteric features of xterm, like Tektronix 4014 emulation,
session logging and toolkit style configurability. Since it does not
support those features, rxvt uses much less swap space than xterm
uses. This is a significant advantage on a machine which is serving a
large number of X sessions.

The rxvt package should be installed on any machine which serves a
large number of X sessions, if you would like to improve that
machine's performance.

%prep
%setup -q

%patch1 -p1 -b .utmp98
%patch2 -p1 -b .i18nrc
%patch3 -p1 -b .font
%patch4 -p1 -b .gtoggle
%patch5 -p1 -b .xim
%patch6 -p1 -b .utmp98-2
%patch7 -p1 -b .kp
%patch8 -p1 -b .security

autoconf -l autoconf autoconf/configure.in > configure && chmod +x configure
cp /usr/share/libtool/config.* autoconf

%build
%configure --prefix=%{_prefix}/X11R6 \
	--exec-prefix=%{_prefix}/X11R6 \
	--mandir=%{_prefix}/X11R6/man/man1 \
	--enable-everything \
	--enable-languages \
	--enable-greek \
	--enable-ttygid \
	--enable-mousewheel \
	--with-term=rxvt \
	--with-x \
	--with-xpm-includes=%{_prefix}/include/X11 \
	--with-xpm-library=%{_prefix}/X11R6/lib \
	--with-xpm \
	--disable-frills \
	--enable-xgetdefault
#	--disable-xgetdefault \

make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_prefix}/X11R6/man/man1
mkdir -p $RPM_BUILD_ROOT/etc/X11/xinit/xinitrc.d
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/menu
mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Utilities

mkdir -p $RPM_BUILD_ROOT%{_prefix}/X11R6/lib/X11/ja/app-defaults
mkdir -p $RPM_BUILD_ROOT%{_prefix}/X11R6/lib/X11/ko/app-defaults
mkdir -p $RPM_BUILD_ROOT%{_prefix}/X11R6/lib/X11/zh_CN/app-defaults
mkdir -p $RPM_BUILD_ROOT%{_prefix}/X11R6/lib/X11/zh_CN/rxvt
mkdir -p $RPM_BUILD_ROOT%{_prefix}/X11R6/lib/X11/zh_TW/app-defaults
mkdir -p $RPM_BUILD_ROOT%{_prefix}/X11R6/lib/X11/zh_TW/rxvt

cp %SOURCE9 doc/rxvt.1

%makeinstall \
	DESTDIR=$RPM_BUILD_ROOT \
	bindir=%{_prefix}/X11R6/bin \
	mandir=%{_prefix}/X11R6/man/man1 \
	libdir=%{_libdir}

install -m644 doc/menu/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/menu
install -m644 %{SOURCE6} $RPM_BUILD_ROOT/etc/X11/applnk/Utilities/rxvt.desktop

install -m644 %{SOURCE3} \
	$RPM_BUILD_ROOT%{_prefix}/X11R6/lib/X11/ja/app-defaults/Rxvt
install -m644 %{SOURCE5} \
	$RPM_BUILD_ROOT%{_prefix}/X11R6/lib/X11/ko/app-defaults/Rxvt
install -m644 %{SOURCE4} \
	$RPM_BUILD_ROOT%{_prefix}/X11R6/lib/X11/zh_CN/app-defaults/Rxvt
install -m644 %{SOURCE2} \
	$RPM_BUILD_ROOT%{_prefix}/X11R6/lib/X11/zh_TW/app-defaults/Rxvt
install -m644 %{SOURCE7} \
	$RPM_BUILD_ROOT%{_prefix}/X11R6/lib/X11/zh_CN/rxvt/rxvt.menu
install -m644 %{SOURCE8} \
	$RPM_BUILD_ROOT%{_prefix}/X11R6/lib/X11/zh_TW/rxvt/rxvt.menu

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/*
%{_prefix}/X11R6/bin/*
%{_prefix}/X11R6/man/man?/*
%config(missingok) /etc/X11/applnk/Utilities/rxvt.desktop
%lang(ja) %config %{_prefix}/X11R6/lib/X11/ja/app-defaults/*
%lang(ko) %config %{_prefix}/X11R6/lib/X11/ko/app-defaults/*
%lang(zh_CN) %config %{_prefix}/X11R6/lib/X11/zh_CN/app-defaults/*
%lang(zh_CN) %config %{_prefix}/X11R6/lib/X11/zh_CN/rxvt
%lang(zh_TW) %config %{_prefix}/X11R6/lib/X11/zh_TW/app-defaults/*
%lang(zh_TW) %config %{_prefix}/X11R6/lib/X11/zh_TW/rxvt
%doc doc/BUGS
%doc doc/FAQ
%doc doc/README.greek
%doc doc/README.menu
%doc doc/README.xvt
%doc doc/TODO
%doc doc/changes.txt
%doc doc/menu/example.menu
%doc doc/menu/jedmenu.sl
%doc doc/menu/menu
%doc doc/menu/rxvt.menu
%doc doc/menu/terminal.menu
%doc doc/rxvt.html
%doc doc/rxvt.tbl
%doc doc/rxvtRef-frame.html
%doc doc/rxvtRef-toc.html
%doc doc/rxvtRef.html
%doc doc/rxvtRef.txt
%doc doc/xterm.seq

%changelog
* Tue Feb 25 2003 Harald Hoyer <harald@redhat.com> 2.7.8-4
- fixed #84587 (CAN-2003-0022, CAN-2003-0023, CAN-2003-0066)

* Fri Dec 14 2001 Harald Hoyer <harald@redhat.com> 2.7.8-1 :16
- bumped version
- fixed keypad escape chars (#53626)
- fixed #54024

* Tue Jul 24 2001 Harald Hoyer <harald@redhat.com> 2.7.6-4 :14
- make rxvt specific zh_CN and zh_TW directories be owned by rxvt rpm (#49656)

* Thu Jul 12 2001 Yukihiro NAkai <ynakai@redhat.com>
- Delete noenc patch
- Add correct font patch (#48837)

* Tue May 29 2001 Harald Hoyer <harald@redhat.com>
- fixed epoch
- fixed utempter patch

* Thu May 22 2001 SATO Satoru <ssato@redhat.com>
- new upstream
- close #30126 (reopened)
- add "--disable-xgetdefault" instead of "--enable-xgetdefault"
  (enable the rxvt version of resources instead of the one via X)
- remove macros (ex. %__mkdir_p)
- update all patches
- fix %%Copyright
- clean up SPEC

* Sun Apr  8 2001 Preston Brown <pbrown@redhat.com>
- fix man pages, they were in the toplevel man dir, not the correct subdir

* Wed Mar 28 2001 Harald Hoyer <harald@redhat.de> 2.7.5-14
- reenabled mouse wheel patch

* Wed Mar 21 2001 Harald Hoyer <harald@redhat.de> 2.7.5-13
- added utempter 

* Wed Feb 28 2001 SATO Satoru <ssato@redhat.com>
- apply patch from current CVS to fix wrong placement
  with OverTheSpot input method ( close #30126)
- add pre-built manual

* Tue Feb 06 2001 Harald Hoyer <harald@redhat.com>
- reactivated multiencoding

* Mon Jan 29 2001 Harald Hoyer <harald@redhat.com>
- fixed greek mode toggle key

* Mon Jan 21 2001 Harald Hoyer <harald@redhat.com>
- fixed mouse wheel configure test

* Tue Jan 16 2001 Harald Hoyer <harald@redhat.com>
- fixed default encoding 
- added Epoch
- forgot to increment Release / made epoch a define

* Mon Jan 15 2001 Than Ngo <than@redhat.com>
- fixed to build on IBM s/390

* Tue Jan 09 2001 Yukihiro Nakai <ynakai@redhat.com>
- More fix about i18ncfg patch

* Wed Jan 03 2001 Yukihiro Nakai <ynakai@redhat.com>
- Add menues for zh_CN,zh_TW
- Change Rxvt.big5, Rxvt.gb for support lang-dependent menu.
- Add man to %files

* Fri Dec 22 2000 Yukihiro Nakai <ynakai@redhat.com>
- Add i18n patch to read lang dependent resources.
- Update all Rxvt files to support imput method.

* Tue Dec 21 2000 SATO Satoru <ssato@redhat.com>
- rxvt.xinitrc come backed 

* Tue Dec 21 2000 SATO Satoru <ssato@redhat.com>
- fix the app-defaults dir. path
- remove rxvt.xinitrc

* Tue Dec 21 2000 SATO Satoru <ssato@redhat.com>
- new upstream
- fix `--with-xpm-includes' path

* Tue Dec 20 2000 SATO Satoru <ssato@redhat.com>
- new upstream (although this is development version, but can support
  better multiligualization, I think.)
- multilingualization (add configure option; ex. --enable-languages)
- add X resouces (big5, eucj, gb, kr)
- modify rxvt.xinitrc

* Sat Aug 05 2000 Than Ngo <than@redhat.de>
- add swedish translation (Bug #15367)

* Thu Jul 27 2000 Than Ngo <than@redhat.de>
- fix DoS bug (Bug #14702)

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat Jun 17 2000 Than Ngo <than@redhat.de>
- fix permission

* Sat May 20 2000 Ngo Than <than@redhat.de>
- update 2.6.2 for 7.0
- clean up specfile

* Thu Feb 23 2000 Preston Brown <pbrown@redhat.com>
- remove app defaults file, we patched keys in the source

* Mon Feb 21 2000 Preston Brown <pbrown@redhat.com>
- complies with debian keyboard bindings / xterm

* Fri Feb 11 2000 Preston Brown <pbrown@redhat.com>
- fix scrolling behaviour when scrollbar at bottom of range (#9335)

* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- color approximation patch for 8bpp from Hans (bug #9171)
- gzip man pages
- app defaults not config files
- wmconfig -> desktop

* Tue Jan 18 2000 Preston Brown <pbrown@redhat.com>
- fix up key bindings

* Thu Jan 13 2000 Preston Brown <pbrown@redhat.com>
- fix man page doc error (#6098)

* Wed Oct 06 1999 Cristian Gafton <gafton@redhat.com>
- get rid of the stupid %configure macro that scrwed up the UTMP support in
  rxvt (--enable-everything was a devel release option only, should've
  checked that is still valid before reverting!!!)
- why did we revert in the first place?

* Mon Aug 30 1999 Preston Brown <pbrown@redhat.com>
- downgraded to rxvt 2.6.1.  2.7.x is the devel. branch!
- removed meta-key hotkey patch, phasing this nonstandard patch out.

* Mon Aug  9 1999 Jeff Johnson <jbj@redhat.com>
- upgrade to 2.7.0.

* Thu Jun 16 1999 Bill Nottingham <notting@redhat.com>
- turn on some stuff in configure

* Tue Jun 14 1999 Bill Nottingham <notting@redhat.com>
- use --enable-ttygid

* Sat Jun 12 1999 Jeff Johnson <jbj@redhat.com>
- update to 2.6.0.
- add --enable-xgetdefault (#3309).

* Thu Mar 25 1999 Erik Troan <ewt@redhat.com>
- added unix98 pty support

* Wed Mar 24 1999 Erik Troan <ewt@redhat.com>
- updated for utmpwrap

* Tue Mar 23 1999 Michael Johnson <johnsonm@redhat.com>
- added back the "old" alt-< and alt-> font change behaviour
- put the manpage in the right place

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Mon Mar 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 2.6.PRE2.  Marked as unstable, but rxvt is always unstable...

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Wed Dec 30 1998 Jeff Johnson <jbj@redhat.com>
- fix glibc-2.1 utmpx compilation problem -- add -D_GNU_SOURCE (#638).

* Mon Dec 21 1998 Preston Brown <pbrown@redhat.com>
- bumped spec # for 6.0 build

* Wed Sep 30 1998 Bill Nottingham <notting@redhat.com>
- fix to enable keypad

* Tue Sep 08 1998 Cristian Gafton <gafton@redhat.com>
- version 2.4.7
- old version used to be called 2.20, so now we are Serial: 1

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Nov 07 1997 Michael K. Johnson <johnsonm@redhat.com>
- no paths in wmconfig files.

* Thu Oct 23 1997 Michael K. Johnson <johnsonm@redhat.com>
- added wmconfig

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Mon Mar 31 1997 Michael K. Johnson <johnsonm@redhat.com>
- make rxvt use standard XGetDefault instead of built-in one.

